# class NameError

### Public Instance Methods

missing_name() click to toggle source

Extract the name of the missing constant from the exception message.

    # File lib/active_support/core_ext/name_error.rb, line 3
    def missing_name
      if %rundefined local variable or method/ !~ message
        $1 if %r((::)?([A-Z]\w*)(::[A-Z]\w*)*)$/ =~ message
      end
    end

missing_name?(name) click to toggle source

Was this exception raised because the given name was missing?

    # File lib/active_support/core_ext/name_error.rb, line 10
    def missing_name?(name)
      if name.is_a? Symbol
        last_name = (missing_name || '').split('::').last
        last_name == name.to_s
      else
        missing_name == name.to_s
      end
    end